Name:           rac_gui
Version:        1.0.0
Release:        1
Summary:        1C rac gui tool
License:        GPL
Group:          System
Url:            https://bitbucket.org/svk28/rac-gui
BuildArch:      noarch
Source:         rac-gui-%version-%release.tar.gz
Requires:       tcl, tk

%description
This program ia a grafics user interface for 1C rac util.

%description -l ru_RU.UTF8
Графический интерфейс к утилите управления кластером серверов 1С rac

%prep
%setup -n rac-gui

%build

%install
mkdir -p $RPM_BUILD_ROOT{%_bindir,%_datadir/%name/{msg,lib}}
install -p -m755 %name.tcl $RPM_BUILD_ROOT%_bindir/racgui
%{__sed} -i 's+^set\ dir(lib)+set\ dir(lib)\ %_datadir/%name/lib ;#+g' $RPM_BUILD_ROOT%_bindir/racgui
%{__sed} -i 's+\[pwd\]+%_datadir/%name+g' $RPM_BUILD_ROOT%_bindir/racgui
install -p -m644 lib/*.tcl $RPM_BUILD_ROOT%_datadir/%name/lib
install -p -m644 %name.cfg $RPM_BUILD_ROOT%_datadir/%name/
install -p -m644 msg/*.* $RPM_BUILD_ROOT%_datadir/%name/msg/

# Menu support
#mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
#cat > $RPM_BUILD_ROOT%_libdir/menu/%name << EOF
#?package(%name): needs=x11 icon="projman.png" section="Applications/Development/Development environments"  title=ProjMan longtitle="Tcl/Tk Project Manager" command=projman
#EOF
#mdk icons
#install -d $RPM_BUILD_ROOT{%_iconsdir,%_liconsdir,%_miconsdir}
#install -p -m644 img/icons/%name.png $RPM_BUILD_ROOT%_iconsdir/
#install -p -m644 img/icons/large/%name.png $RPM_BUILD_ROOT%_liconsdir/
#install -p -m644 img/icons/mini/%name.png $RPM_BUILD_ROOT%_miconsdir/

%post
%update_menus

%postun
%clean_menus

%files
%doc README
%doc doc/*
%_bindir/racgui
%_datadir/%name
#%_libdir/menu/%name
#%_iconsdir/%name.png
#%_liconsdir/%name.png
#%_miconsdir/%name.png


%changelog
* Tue Jul 24 2018 Sergey Kalinin <svk@nuk-svk.ru> 1.0.0
- Initial release

